using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _B_Frilenseri
{
    class Program
    {
        public class Frilenser
        {
            public double Zarada;
            public double Procenat;
        }

        static void Main(string[] args)
        {
            List<Frilenser> frilensers = new List<Frilenser>();

            int n;

            n = int.Parse(Console.ReadLine());

            for(int i = 0; i<n; i++)
            {               
                var ulaz = Console.ReadLine().Split();

                var frilenser = new Frilenser();

                frilenser.Zarada = double.Parse(ulaz[0]);
                frilenser.Procenat = double.Parse(ulaz[1]);

                frilensers.Add(frilenser);
            }

            
            double ukupanPorez = 0;
            
            var lookup = (Lookup<double, double>)frilensers.ToLookup(r => r.Procenat, r=> r.Zarada);
            foreach(var frilenser in frilensers)
            {
                var procenat = frilenser.Procenat;
                
                var porez = lookup.Where(x => x.Key >= procenat).Sum(y=>y.Sum()) * procenat / 100;

                if (porez > ukupanPorez)
                {
                    ukupanPorez = porez;
                }
            }

            Console.WriteLine(ukupanPorez);
        }
    }
}